summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/merge_xml8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/merge_xml b/scripts/merge_xml
index 64978eb3c..eeaa8eaaf 100755
--- a/scripts/merge_xml
+++ b/scripts/merge_xml
@@ -15,6 +15,14 @@ language=${1:-pl}
SCRIPTDIR="./scripts"
BUILDDIR="./build"
+# Required tools
+for tool in gawk egrep iconf ; do
+ if [ -z "`which $tool`" ] ; then
+ echo "ERROR: $tool is required, please install it."
+ exit 1
+ fi
+done
+
LANGDIR="./$language"
[ -d $LANGDIR ] || exit 1